import { Meta, Story, Canvas, Description } from '@storybook/addon-docs/blocks';
import { withKnobs, number } from '@storybook/addon-knobs';
import readme from './readme.md';

<Meta
	title="Calendar/digi-calendar-week-view"
	parameters={{
		actions: {
			handles: ['afOnPageChange']
		}
	}}
	decorators={[withKnobs]}
/>

<!-- Description pulled from auto generated Stencil docs -->

<Description markdown={readme} />

## Standard

This is a calendar component for showing a weekly view

<Canvas>
	<Story name="Standard">
		/* html */
		{`
      <script>
        var calendar = document.getElementById('calendarWeekView');
        var calendarList = document.getElementById('calendarList');
        function setCalendarList(text) {
          calendarList.innerHTML = text;
        }
        document.addEventListener('afOnWeekChange', (e) => {
          console.log(e.detail)
        })
        document.addEventListener('afOnDateChange', (e) => {
          setCalendarList(e.detail);
        })
        document.addEventListener('afOnClick', (e) => {
          if(e.target.matches('#setFirstAvailable')) {
            calendar.afMSetActiveDate('2022-05-24');
          }
        })
      </script>
      <digi-calendar-week-view
        id="calendarWeekView"
        af-dates='["2022-06-12","2022-05-12","2022-05-16","2022-05-09","2022-06-20"]'
      >
        <digi-layout-block>
          <!--<p>
            <digi-button id="setFirstAvailable">Första lediga tiden</digi-button>
          </p>-->
          <h2 id="calendarList"></h2>
        </digi-layout-block>
      </digi-calendar-week-view>
    `}
	</Story>
</Canvas>
